# -*- coding: utf-8 -*-

#    Copyright 2018 Youssef El Ouahby <youssef@yaltik.com>
#    Copyright 2018 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

""" GOLEM Resource Reservation """


from odoo import models, fields, api, _
from odoo import loglevels
from odoo import exceptions

from odoo.exceptions import ValidationError



class GolemResoklkrceReservation(models.Model):
    """ GOLEM Resource Reservation Model """
    _name = 'golem.test'
    _description = 'GOLEM Reservation Model'

    name = fields.Char(compute='_compute_name', store=True)
    state = fields.Selection([('canceled', 'Canceled'),
                              ('draft', 'Draft'),
                               ('confirmed', 'Confirmed'),
                               ('validated', 'Validated'),
                               ('rejected', 'Rejected')],
                              default='draft', track_visibility='onchange')

    @api.multi
    def test(self):
        var = self.env['hr.holidays'].search([])
        var[0]
